#include <iostream>

using namespace std;
int obrni(int *n)
{
  int a=1,m=0;
    while(*n>9)
    {
        a++;
        m=(m+*n%10)*10;
        *n=*n/10;
    }
    m=m+*n;
    *n=m;
    return a;
}
int najvecibroj(int A,int B,int C)
{
    int a,b,c,cif1,cif2,cif3,x=A,z=C,y=B,p,p1;
    a=obrni(&A);
    b=obrni(&B);
    c=obrni(&C);
    while((A>0)||(B>0)||(C>0))
    {
        cif1=A%10;
        cif2=B%10;
        cif3=C%10;
        if((cif1!=cif2)&&(cif1!=cif3))
        {
          if(cif1<cif2)
            {
                p=x;
                x=y;
                y=p;
                p1=a;
                a=b;
                b=p1;
            }
          if(cif1<cif3)
            {
                p=x;
                x=z;
                z=p;
                p1=a;
                a=c;
                c=p1;
            }
          if(cif2<cif3)
            {
                p=y;
                y=z;
                z=p;
                p1=b;
                b=c;
                c=p1;
            }
          for(int i=0;i<b;i++)
            {
                x=x*10;
            }
            x=x+y;
          for(int i=0;i<c;i++)
            {
                x=x*10;
            }
            x=x+z;
            return x;
        }
    }
}
int main()
{
  int A,B,C,rez;
  cin>>A>>B>>C;
  rez=najvecibroj(A,B,C);
  cout<<rez<<endl;
  return 0;
}